## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		phosh-mobile-settings
Version:	0.43.0
Release:	%autorelease
Summary:	Mobile Settings App for phosh and related components
License:	GPL-3.0-or-later AND LGPL-3.0-or-later
URL:		https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings
Source:	https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/archive/v%{version}/phosh-mobile-settings-v%{version}.tar.gz
# FIXME: tests fail if build directory is used a XDG_RUNTIME_DIR
Patch0:	shorter-xdg_runtime_dir-path.patch

ExcludeArch:	i686

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	meson

BuildRequires:	pkgconfig(glib-2.0) >= 2.76
BuildRequires:	pkgconfig(gio-2.0) >= 2.76
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.76
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.76
BuildRequires:	pkgconfig(gmobile) >= 0.2.0
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk4) >= 4.12.5
BuildRequires:	pkgconfig(gtk4-wayland) >= 4.12.5
BuildRequires:	pkgconfig(phosh-plugins) >= 0.23.0
BuildRequires:	pkgconfig(phosh-settings) >= 0.40.0
BuildRequires:	pkgconfig(json-glib-1.0) >= 1.6.2
BuildRequires:	pkgconfig(libadwaita-1) >= 1.5
BuildRequires:	pkgconfig(wayland-client) >= 1.14
BuildRequires:	pkgconfig(wayland-protocols) >= 1.12
BuildRequires:	pkgconfig(gnome-desktop-4) >= 44
BuildRequires:	appstream-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	desktop-file-utils
BuildRequires:	dbus-daemon
BuildRequires:	feedbackd >= 0.4.1

Requires:	feedbackd >= 0.4.1
Requires:	phoc >= 0.34.0
Requires:	phosh >= 0.40.0

%description
Mobile Settings App for phosh and related components

%prep
%autosetup -p1 -n %{name}-v%{version}
mkdir -p /tmp/runtime-dir
chmod 0700 /tmp/runtime-dir

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%check
dbus-run-session sh <<'SH'
%meson_test
SH

%files -f %{name}.lang
%{_bindir}/phosh-mobile-settings
%dir %{_libdir}/phosh-mobile-settings
%{_libdir}/phosh-mobile-settings/plugins/libms-plugin-librem5.so
%{_datadir}/applications/mobi.phosh.MobileSettings.desktop
%{_datadir}/dbus-1/services/mobi.phosh.MobileSettings.service
%{_datadir}/glib-2.0/schemas/mobi.phosh.MobileSettings.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/mobi.phosh.MobileSettings.svg
%{_datadir}/icons/hicolor/symbolic/apps/mobi.phosh.MobileSettings-symbolic.svg
%{_datadir}/metainfo/mobi.phosh.MobileSettings.metainfo.xml

%doc README.md
%license COPYING

%changelog
## START: Generated by rpmautospec
* Mon Nov 18 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.43.0-1
- Upstream release v0.43.0 (fedora#2325415)

* Tue Oct 01 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.42.0-1
- Upstream release v0.42.0

* Sat Aug 31 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.41.0-4
- Re-enable fatal-warnings for tests

* Sat Aug 17 2024 Sam Day <me@samcday.com> - 0.41.0-3
- Disable G_DEBUG=fatal-warnings in tests

* Fri Aug 16 2024 Sam Day <me@samcday.com> - 0.41.0-2
- Bump feedbackd minimum requirement to 0.4.1

* Fri Aug 16 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.41.0-1
- Upstream release 0.41.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.40.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 01 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.40.0-1
- Upstream release 0.40.0

* Sat Jun 29 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.37.0-4
- Remove bundled gmobile

* Sun May 19 2024 Tomi Lähteenmäki <lihis@lihis.net> - 0.37.0-1
- Upstream release 0.37.0

* Mon Apr 29 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-5
- Unretirement Releng Request: https://pagure.io/releng/issue/12084

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 17 2023 torbuntu <torbuntu@fedoraproject.org> - 0.32.0-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
